// Copyright (c) 2014, Google Inc. Please see the AUTHORS file for details.
// All rights reserved. Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

List<String> data = [
  ".gitignore",
  "text",
  "LkRTX1N0b3JlCi5pZGVhCi5wdWIvCmJ1aWxkLwpwYWNrYWdlcwpwdWJzcGVjLmxvY2sK",
  "CHANGELOG.md",
  "text",
  """IyBDaGFuZ2Vsb2cKCiMjIDAuMC4xCgoqIEluaXRpYWwgdmVyc2lvbiwgY3JlYXRlZCBieSBTdGFn
ZWhhbmQuCg==""",
  "lib/nav_menu.dart",
  "text",
  """Ly8gQ29weXJpZ2h0IChjKSB7e3llYXJ9fSwge3thdXRob3J9fS4gQWxsIHJpZ2h0cyByZXNlcnZl
ZC4gVXNlIG9mIHRoaXMgc291cmNlIGNvZGUKLy8gaXMgZ292ZXJuZWQgYnkgYSBCU0Qtc3R5bGUg
bGljZW5zZSB0aGF0IGNhbiBiZSBmb3VuZCBpbiB0aGUgTElDRU5TRSBmaWxlLgoKbGlicmFyeSBu
YXZfbWVudTsKCmltcG9ydCAnZGFydDpodG1sJzsKCmluaXROYXZNZW51KCkgewogIHZhciBuYXZk
cmF3ZXJDb250YWluZXIgPSBxdWVyeVNlbGVjdG9yKCcubmF2ZHJhd2VyLWNvbnRhaW5lcicpOwog
IHZhciBhcHBiYXJFbGVtZW50ID0gcXVlcnlTZWxlY3RvcignLmFwcC1iYXInKTsKICB2YXIgbWVu
dUJ0biA9IHF1ZXJ5U2VsZWN0b3IoJy5tZW51Jyk7CiAgdmFyIG1haW4gPSBxdWVyeVNlbGVjdG9y
KCdtYWluJyk7CgogIGNsb3NlTWVudShlKSB7CiAgICBkb2N1bWVudC5ib2R5LmNsYXNzZXMucmVt
b3ZlKCdvcGVuJyk7CiAgICBhcHBiYXJFbGVtZW50LmNsYXNzZXMucmVtb3ZlKCdvcGVuJyk7CiAg
ICBuYXZkcmF3ZXJDb250YWluZXIuY2xhc3Nlcy5yZW1vdmUoJ29wZW4nKTsKICB9CgogIHRvZ2ds
ZU1lbnUoZSkgewogICAgZG9jdW1lbnQuYm9keS5jbGFzc2VzLnRvZ2dsZSgnb3BlbicpOwogICAg
YXBwYmFyRWxlbWVudC5jbGFzc2VzLnRvZ2dsZSgnb3BlbicpOwogICAgbmF2ZHJhd2VyQ29udGFp
bmVyLmNsYXNzZXMudG9nZ2xlKCdvcGVuJyk7CiAgICBuYXZkcmF3ZXJDb250YWluZXIuY2xhc3Nl
cy5hZGQoJ29wZW5lZCcpOwogIH0KCiAgbWFpbi5vbkNsaWNrLmxpc3RlbihjbG9zZU1lbnUpOwog
IG1lbnVCdG4ub25DbGljay5saXN0ZW4odG9nZ2xlTWVudSk7CiAgbmF2ZHJhd2VyQ29udGFpbmVy
Lm9uQ2xpY2subGlzdGVuKChldmVudCkgewogICAgaWYgKGV2ZW50LnRhcmdldC5ub2RlTmFtZSA9
PSAnQScgfHwgZXZlbnQudGFyZ2V0Lm5vZGVOYW1lID09ICdMSScpIHsKICAgICAgY2xvc2VNZW51
KGV2ZW50KTsKICAgIH0KICB9KTsKfQo=""",
  "lib/reverser.dart",
  "text",
  """Ly8gQ29weXJpZ2h0IChjKSB7e3llYXJ9fSwge3thdXRob3J9fS4gQWxsIHJpZ2h0cyByZXNlcnZl
ZC4gVXNlIG9mIHRoaXMgc291cmNlIGNvZGUKLy8gaXMgZ292ZXJuZWQgYnkgYSBCU0Qtc3R5bGUg
bGljZW5zZSB0aGF0IGNhbiBiZSBmb3VuZCBpbiB0aGUgTElDRU5TRSBmaWxlLgoKbGlicmFyeSBy
ZXZlcnNlcjsKCmltcG9ydCAnZGFydDpodG1sJzsKCi8vIEV4YW1wbGUgb2YgaG9va2luZyBpbnRv
IHRoZSBET00gYW5kIHJlc3BvbmRpbmcgdG8gY2hhbmdlcyBmcm9tIGlucHV0IGZpZWxkcy4KaW5p
dFJldmVyc2VyKCkgewogIHZhciBvdXRwdXQgPSBxdWVyeVNlbGVjdG9yKCcjb3V0Jyk7CiAgdmFy
IGlucHV0ID0gcXVlcnlTZWxlY3RvcignI25hbWUnKTsKICBpbnB1dC5vbktleVVwLmxpc3Rlbigo
XykgewogICAgb3V0cHV0LnRleHQgPSBpbnB1dC52YWx1ZS5zcGxpdCgnJykucmV2ZXJzZWQuam9p
bigpOwogIH0pOwp9Cg==""",
  "LICENSE",
  "text",
  """Q29weXJpZ2h0IChjKSB7e3llYXJ9fSwge3thdXRob3J9fS4KQWxsIHJpZ2h0cyByZXNlcnZlZC4K
ClJlZGlzdHJpYnV0aW9uIGFuZCB1c2UgaW4gc291cmNlIGFuZCBiaW5hcnkgZm9ybXMsIHdpdGgg
b3Igd2l0aG91dAptb2RpZmljYXRpb24sIGFyZSBwZXJtaXR0ZWQgcHJvdmlkZWQgdGhhdCB0aGUg
Zm9sbG93aW5nIGNvbmRpdGlvbnMgYXJlIG1ldDoKICAgICogUmVkaXN0cmlidXRpb25zIG9mIHNv
dXJjZSBjb2RlIG11c3QgcmV0YWluIHRoZSBhYm92ZSBjb3B5cmlnaHQKICAgICAgbm90aWNlLCB0
aGlzIGxpc3Qgb2YgY29uZGl0aW9ucyBhbmQgdGhlIGZvbGxvd2luZyBkaXNjbGFpbWVyLgogICAg
KiBSZWRpc3RyaWJ1dGlvbnMgaW4gYmluYXJ5IGZvcm0gbXVzdCByZXByb2R1Y2UgdGhlIGFib3Zl
IGNvcHlyaWdodAogICAgICBub3RpY2UsIHRoaXMgbGlzdCBvZiBjb25kaXRpb25zIGFuZCB0aGUg
Zm9sbG93aW5nIGRpc2NsYWltZXIgaW4gdGhlCiAgICAgIGRvY3VtZW50YXRpb24gYW5kL29yIG90
aGVyIG1hdGVyaWFscyBwcm92aWRlZCB3aXRoIHRoZSBkaXN0cmlidXRpb24uCiAgICAqIE5laXRo
ZXIgdGhlIG5hbWUgb2YgdGhlIDxvcmdhbml6YXRpb24+IG5vciB0aGUKICAgICAgbmFtZXMgb2Yg
aXRzIGNvbnRyaWJ1dG9ycyBtYXkgYmUgdXNlZCB0byBlbmRvcnNlIG9yIHByb21vdGUgcHJvZHVj
dHMKICAgICAgZGVyaXZlZCBmcm9tIHRoaXMgc29mdHdhcmUgd2l0aG91dCBzcGVjaWZpYyBwcmlv
ciB3cml0dGVuIHBlcm1pc3Npb24uCgpUSElTIFNPRlRXQVJFIElTIFBST1ZJREVEIEJZIFRIRSBD
T1BZUklHSFQgSE9MREVSUyBBTkQgQ09OVFJJQlVUT1JTICJBUyBJUyIgQU5ECkFOWSBFWFBSRVNT
IE9SIElNUExJRUQgV0FSUkFOVElFUywgSU5DTFVESU5HLCBCVVQgTk9UIExJTUlURUQgVE8sIFRI
RSBJTVBMSUVECldBUlJBTlRJRVMgT0YgTUVSQ0hBTlRBQklMSVRZIEFORCBGSVRORVNTIEZPUiBB
IFBBUlRJQ1VMQVIgUFVSUE9TRSBBUkUKRElTQ0xBSU1FRC4gSU4gTk8gRVZFTlQgU0hBTEwgPENP
UFlSSUdIVCBIT0xERVI+IEJFIExJQUJMRSBGT1IgQU5ZCkRJUkVDVCwgSU5ESVJFQ1QsIElOQ0lE
RU5UQUwsIFNQRUNJQUwsIEVYRU1QTEFSWSwgT1IgQ09OU0VRVUVOVElBTCBEQU1BR0VTCihJTkNM
VURJTkcsIEJVVCBOT1QgTElNSVRFRCBUTywgUFJPQ1VSRU1FTlQgT0YgU1VCU1RJVFVURSBHT09E
UyBPUiBTRVJWSUNFUzsKTE9TUyBPRiBVU0UsIERBVEEsIE9SIFBST0ZJVFM7IE9SIEJVU0lORVNT
IElOVEVSUlVQVElPTikgSE9XRVZFUiBDQVVTRUQgQU5ECk9OIEFOWSBUSEVPUlkgT0YgTElBQklM
SVRZLCBXSEVUSEVSIElOIENPTlRSQUNULCBTVFJJQ1QgTElBQklMSVRZLCBPUiBUT1JUCihJTkNM
VURJTkcgTkVHTElHRU5DRSBPUiBPVEhFUldJU0UpIEFSSVNJTkcgSU4gQU5ZIFdBWSBPVVQgT0Yg
VEhFIFVTRSBPRiBUSElTClNPRlRXQVJFLCBFVkVOIElGIEFEVklTRUQgT0YgVEhFIFBPU1NJQklM
SVRZIE9GIFNVQ0ggREFNQUdFLgo=""",
  "pubspec.yaml",
  "text",
  """bmFtZTogJ3t7cHJvamVjdE5hbWV9fScKdmVyc2lvbjogMC4wLjEKZGVzY3JpcHRpb246ID4KICBB
IG1pbmltYWwgd2ViIGFwcCBmb3IgdGhlIGRldmVsb3BlciB0aGF0IGRvZXNu4oCZdCB3YW50IHRv
IGJlIGNvbmZ1c2VkIGJ5IHRvbwogIG11Y2ggZ29pbmcgb24uCiNhdXRob3I6IHt7YXV0aG9yfX0g
PGVtYWlsQGV4YW1wbGUuY29tPgojaG9tZXBhZ2U6IGh0dHBzOi8vd3d3LmV4YW1wbGUuY29tCmVu
dmlyb25tZW50OgogIHNkazogJz49MS4wLjAgPDIuMC4wJwpkZXBlbmRlbmNpZXM6CiAgYnJvd3Nl
cjogYW55CiAgc2FzczogJz49MC40LjAgPDAuNS4wJwogIHNjcmlwdF9pbmxpbmVyOiAnPj0wLjAu
MyA8MC4xLjAnCiAgcm91dGVfaGllcmFyY2hpY2FsOiAnPj0wLjUuMCA8MC42LjAnCnRyYW5zZm9y
bWVyczoKICAtIHNjcmlwdF9pbmxpbmVyCiMgIC0gc2FzczoKIyAgICAgIHN0eWxlOiBjb21wcmVz
c2VkCg==""",
  "README.md",
  "text",
  """IyBNaW5pbWFsIERhcnQgV2ViYXBwCgpBIHN0YXJ0aW5nIHBvaW50IGZvciBhIHdlYmFwcCBidWls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""",
  "web/apple-touch-icon-precomposed.png",
  "binary",
  """iVBORw0KGgoAAAANSUhEUgAAAJgAAACYCAMAAAAvHNATAAAAYFBMVEX///+0y/MaYdxik+crbd4g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""",
  "web/favicon.ico",
  "binary",
  """AAABAAEAICAAAAEAIACoEAAAFgAAACgAAAAgAAAAQAAAAAEAIAAAAAAAABAAAAAAAAAAAAAAAAAA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""",
  "web/images/hamburger.svg",
  "binary",
  """PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAy
NCI+PHBhdGggZD0ieiIgZmlsbD0ibm9uZSIvPjxwYXRoIGQ9Ik0yIDZoMjB2M0gyem0wIDVoMjB2
M0gyem0wIDVoMjB2M0gyeiIvPjwvc3ZnPg==""",
  "web/images/touch/chrome-touch-icon-192x192.png",
  "binary",
  """iVBORw0KGgoAAAANSUhEUgAAAMAAAADACAMAAABlApw1AAAAMFBMVEUAAAAycd4ycd4ubNkxb90y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""",
  "web/images/touch/ms-touch-icon-144x144-precomposed.png",
  "binary",
  """iVBORw0KGgoAAAANSUhEUgAAAJAAAACQCAMAAADQmBKKAAAAG1BMVEUAAAD/////////////////
///////////////rTT7CAAAACHRSTlMAwOoei0JlCTvlk/8AAAPRSURBVHja7VrbduQgDKuv7P9/
8b4tJ1WCwS453TPorZM0I0sCm7RfBwcHBwcHBwe/HUYreIPQnwXwJxKSFUL0AYQQv44QLxDSjyRE
C4T8EApgbxDS/5mQvEHIfzMhRlx2hfYGIRvvMxL01tcJ2UZCLeyuNCZEt09taT5Mtk7Ix5dF2Svp
JRfgWSBk1D/NbskoEw9DohixLk5pM2j8r1BvdUJG0OEq+43afTNrd7riNzcncDLfRLtMeEFCQt2r
Dik4BjKtELLu1QVacQxl0mE758tVEKd7lnUMZZon5FRuuugYgkcjYds1a3tyRpVdJ1pKHitk0yjZ
OEnIJn9v11hISUK862hB2Uos4dhWQrrpJRBnzyTcKo7VCSEs7xiN/JsvhQnMTjomvT8iJCTUuyCn
PSMoRZwrhMjQTs86pjDyjaLAd/1Y7nZxSjsGQ/ESIbIH+bjlHeswCroritMBnlUce5LJH3orHg7Q
s6pjKBPylYtXAEqNaTooA2RSKKZ7hfCUZwPHUCYCQiBO4FnJMZSJQAIQJ/Cs5BjK9J0QBHnkmZYd
QzT4cQhhKDfhWAV1z7T+966kZ3XH6id0Tji21zN717G4Yl1xDN7o1dFMGUbgxeme9adIiVM8T83N
6KRWJ8Op4xA/jugF90wpdRxCx1CoVpQGYQnHskI1lAahiYIg5tYS0uTLM6Xik8QVyIQrpV6ePTkF
9WRERkggFD0+0kN16xsrguO5sL5QY/eQT2xaXRoUiha3D7n9M8DPwXh1x7dA0RqwXpoeY7BH1NEo
XmAICooogFD+lKy+6z8Z2JIvTu2nRs64UvepSmRLoPXuJpZEjPYtML3/uBEWU0W0wLqr/kqwdSoG
BFd2xcinFooP7FBUeNcCQ19szvNdCwy/kloiRrWOEcio9f2x3jEaww3JYNcXGN5GG9uszyktE/lo
cRZj2GQWCVScCrbtGsk8eRvLnpGscWBstD/WA4334aS6oc0Kff8an35XolORJFldZPiE2fOgoD4K
rEHHhEg2eWKmjN6IybJwJSI8ITZgzXg0jGAFJOJcy7ZdxeN704xD5+vZxi2I5Roog5hFdtWzrd9T
Q7gZScKubLYFLLp8ogm7atkm2HnANE3Ylc62ow9XkpTYfErDEQQGOskeedA2hA16bdQr6tlG0GAa
CeyqwTl+GWtb7cJsx42LXrFrlBHC0Tex+ZSzjYnO9Yo6GkWtILhhc7YZy5eCXfVs+yhoaNf2bNPw
aMRAd3u25f4qyPOGbaPAUmrzqWeb2xNdBrteEcme2QZ2vY/2dXBwcHBwcHDwgL8Ua6ehihvSBAAA
AABJRU5ErkJggg==""",
  "web/index.html",
  "text",
  """PCFET0NUWVBFIGh0bWw+Cgo8IS0tCiAgQ29weXJpZ2h0IChjKSB7e3llYXJ9fSwge3thdXRob3J9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""",
  "web/main.dart",
  "text",
  """Ly8gQ29weXJpZ2h0IChjKSB7e3llYXJ9fSwge3thdXRob3J9fS4gQWxsIHJpZ2h0cyByZXNlcnZl
ZC4gVXNlIG9mIHRoaXMgc291cmNlIGNvZGUKLy8gaXMgZ292ZXJuZWQgYnkgYSBCU0Qtc3R5bGUg
bGljZW5zZSB0aGF0IGNhbiBiZSBmb3VuZCBpbiB0aGUgTElDRU5TRSBmaWxlLgoKaW1wb3J0ICdk
YXJ0Omh0bWwnOwoKaW1wb3J0ICdwYWNrYWdlOnt7cHJvamVjdE5hbWV9fS9uYXZfbWVudS5kYXJ0
JzsKaW1wb3J0ICdwYWNrYWdlOnt7cHJvamVjdE5hbWV9fS9yZXZlcnNlci5kYXJ0JzsKaW1wb3J0
ICdwYWNrYWdlOnJvdXRlX2hpZXJhcmNoaWNhbC9jbGllbnQuZGFydCc7Cgp2b2lkIG1haW4oKSB7
CiAgaW5pdE5hdk1lbnUoKTsKICBpbml0UmV2ZXJzZXIoKTsKCiAgLy8gV2ViYXBwcyBuZWVkIHJv
dXRpbmcgdG8gbGlzdGVuIGZvciBjaGFuZ2VzIHRvIHRoZSBVUkwuCiAgdmFyIHJvdXRlciA9IG5l
dyBSb3V0ZXIoKTsKICByb3V0ZXIucm9vdAogICAgLi5hZGRSb3V0ZShuYW1lOiAnYWJvdXQnLCBw
YXRoOiAnL2Fib3V0JywgZW50ZXI6IHNob3dBYm91dCkKICAgIC4uYWRkUm91dGUobmFtZTogJ2hv
bWUnLCBkZWZhdWx0Um91dGU6IHRydWUsIHBhdGg6ICcvJywgZW50ZXI6IHNob3dIb21lKTsKICBy
b3V0ZXIubGlzdGVuKCk7Cn0KCnZvaWQgc2hvd0Fib3V0KFJvdXRlRXZlbnQgZSkgewogIC8vIEV4
dHJlbWVseSBzaW1wbGUgYW5kIG5vbi1zY2FsYWJsZSB3YXkgdG8gc2hvdyBkaWZmZXJlbnQgdmll
d3MuCiAgcXVlcnlTZWxlY3RvcignI2hvbWUnKS5zdHlsZS5kaXNwbGF5ID0gJ25vbmUnOwogIHF1
ZXJ5U2VsZWN0b3IoJyNhYm91dCcpLnN0eWxlLmRpc3BsYXkgPSAnJzsKfQoKdm9pZCBzaG93SG9t
ZShSb3V0ZUV2ZW50IGUpIHsKICBxdWVyeVNlbGVjdG9yKCcjaG9tZScpLnN0eWxlLmRpc3BsYXkg
PSAnJzsKICBxdWVyeVNlbGVjdG9yKCcjYWJvdXQnKS5zdHlsZS5kaXNwbGF5ID0gJ25vbmUnOwp9
Cg==""",
  "web/robots.txt",
  "text",
  """IyB3d3cucm9ib3RzdHh0Lm9yZy8KCiMgQWxsb3cgY3Jhd2xpbmcgb2YgYWxsIGNvbnRlbnQKVXNl
ci1hZ2VudDogKgpEaXNhbGxvdzoK""",
  "web/styles/_h5bp.scss",
  "text",
  """LyoKICogSFRNTDUgQm9pbGVycGxhdGUKICoKICogV2hhdCBmb2xsb3dzIGlzIHRoZSByZXN1bHQg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""",
  "web/styles/_roboto.scss",
  "text",
  """QGltcG9ydCB1cmwoaHR0cHM6Ly9mb250cy5nb29nbGVhcGlzLmNvbS9jc3M/ZmFtaWx5PVJvYm90
bytDb25kZW5zZWQ6NDAwLDMwMCk7Cg==""",
  "web/styles/components/_components/_articles-list.scss",
  "text",
  """LyoqCioKKiBBcnRpY2xlcyBsaXN0CioKKiovCgouYXJ0aWNsZXMtbGlzdCB7CiAgcGFkZGluZy1s
ZWZ0OiAwOwp9CgouYXJ0aWNsZXMtbGlzdF9faXRlbSB7CgogIHBhZGRpbmctYm90dG9tOiAkbGlu
ZUhlaWdodCAqIDI7CgogICY6bGFzdC1jaGlsZCB7CiAgICBwYWRkaW5nLWJvdHRvbTogJGxpbmVI
ZWlnaHQgKiAyICsgMTsKICB9CgogIHBhZGRpbmctbGVmdDogMDsKCiAgJjo6YmVmb3JlIHsKICAg
IGNvbnRlbnQ6ICIiOwogICAgZGlzcGxheTogYmxvY2s7CiAgICB3aWR0aDogNDAlOwogICAgaGVp
Z2h0OiAxcHg7CiAgICBib3gtc2hhZG93OiBpbnNldCAwIDFweCAwIDAgJGNvbG9yR3JheUtleWxp
bmU7CiAgICBtYXJnaW4tcmlnaHQ6IDA7CiAgICBtYXJnaW4tbGVmdDogMzAlOwogIH0KCiAgaDMg
ewogICAgYTpob3ZlciB7CiAgICAgIHRleHQtZGVjb3JhdGlvbjogbm9uZTsKICAgIH0KICB9Cgog
IHAgewogICAgbWFyZ2luLXRvcDogJGxpbmVIZWlnaHQ7CiAgICBtYXJnaW4tYm90dG9tOiAkbGlu
ZUhlaWdodDsKICB9CgogICY6Zmlyc3QtY2hpbGQgewogICAgcGFkZGluZy10b3A6IDA7CgogICAg
QGluY2x1ZGUgbWVkaXVtIHsKICAgICAgcGFkZGluZy10b3A6ICRsaW5lSGVpZ2h0IC0gMjsKICAg
IH0KCiAgICAmOjpiZWZvcmUgewogICAgICBkaXNwbGF5OiBub25lOwogICAgfQogIH0KCn0K""",
  "web/styles/components/_components/_breadcrumb.scss",
  "text",
  """LyoqCioKKiBCcmVhZGNydW1iCioKKiovCgouYnJlYWRjcnVtYnMgewogIGRpc3BsYXk6IG5vbmU7
CiAgQGluY2x1ZGUgbWVkaXVtIHsKICAgIGRpc3BsYXk6IGJsb2NrOwogIH0KCiAgcG9zaXRpb246
IHJlbGF0aXZlOwogIHotaW5kZXg6IDE7Cn0KCi5icmVhZGNydW1icyBwIHsKICBAaW5jbHVkZSB0
eXBlLS1zbWFsbDsKICBwYWRkaW5nLXRvcDogJGxpbmVIZWlnaHQ7Cn0KCi5icmVhZGNydW1ic19f
bGluayB7CiAgQGluY2x1ZGUgdHlwZS0tc21hbGw7CiAgY29sb3I6IGJsYWNrOwogIGZvbnQtd2Vp
Z2h0OiA0MDA7CiAgcGFkZGluZy10b3A6IDA7CgogIEBpbmNsdWRlIG1lZGl1bSB7CiAgICBwYWRk
aW5nLXRvcDogMDsKICB9Cn0K""",
  "web/styles/components/_components/_button.scss",
  "text",
  """LyoqCioKKiBCdXR0b24KKgoqKi8KCi5idXR0b24gewogIGRpc3BsYXk6IGlubGluZS1ibG9jazsK
ICBwYWRkaW5nOiAoKCRsaW5lSGVpZ2h0IC8gMikgLSAxKSAzMnB4OwogIG1hcmdpbi1ib3R0b206
ICRsaW5lSGVpZ2h0IC8gMjsKICBtYXJnaW4tdG9wOiAkbGluZUhlaWdodCAvIDI7CiAgbWluLWhl
aWdodDogJGxpbmVIZWlnaHQ7CgogIHRleHQtYWxpZ246IGNlbnRlcjsKCiAgZm9udC1mYW1pbHk6
ICRmb250SGlnaGxpZ2h0OwogIGZvbnQtd2VpZ2h0OiA2MDA7CiAgdGV4dC1kZWNvcmF0aW9uOiBu
b25lOwoKICBvdXRsaW5lOiAwOwoKICB0cmFuc2l0aW9uOiBub25lOwoKICAmOmhvdmVyIHsKICAg
IGJhY2tncm91bmQ6ICM0ZDRkNGQ7CiAgICBjb2xvcjogI2ZmZmZmZjsKICAgIGJvcmRlcjogMXB4
IHNvbGlkICM0ZDRkNGQ7CiAgICB0ZXh0LWRlY29yYXRpb246IG5vbmU7CiAgfQp9CgovLyBNaXhp
biB0byBjcmVhdGUgYnV0dG9ucwpAbWl4aW4gc3R5bGUtYnV0dG9uKCRjb2xvciwgJHRleHRDb2xv
ciwgJGlzSW52ZXJ0ZWQ6IGZhbHNlKSB7CgogIGJhY2tncm91bmQ6ICRjb2xvcjsKICBjb2xvcjog
JHRleHRDb2xvcjsKICBib3JkZXI6IDFweCBzb2xpZCBkYXJrZW4oJGNvbG9yLCAxMCUpOwoKICBA
aWYgJGlzSW52ZXJ0ZWQgeyBib3JkZXItY29sb3I6IHRyYW5zcGFyZW50O30KfQoKLmJ1dHRvbi0t
cHJpbWFyeSB7CiAgQGV4dGVuZCAuYnV0dG9uOwogIEBpbmNsdWRlIHN0eWxlLWJ1dHRvbigjNDI4
NWY0LCAjZmZmZmZmKTsKfQoKLmJ1dHRvbi0tc2Vjb25kYXJ5IHsKICBAZXh0ZW5kIC5idXR0b247
CiAgQGluY2x1ZGUgc3R5bGUtYnV0dG9uKCNmZmZmZmYsICRjb2xvckJsdWUpOwp9CgouYnV0dG9u
LS1zZWNvbmRhcnktdmFyaWF0aW9uIHsKICBAZXh0ZW5kIC5idXR0b247CiAgQGluY2x1ZGUgc3R5
bGUtYnV0dG9uKCNmZmZmZmYsICRjb2xvckJsdWUsIHRydWUpOwp9Cg==""",
  "web/styles/components/_components/_column-list.scss",
  "text",
  """LyoqCioKKiBDb2x1bW4gbGlzdAoqCioqLwoKLmNvbHVtbnMtbGlzdC13cmFwcGVyIHsKICBAaW5j
bHVkZSB3aWRlIHsKICAgIG1hcmdpbi1yaWdodDogJG1lZGl1bUNvbFdpZHRoOwogIH0KCn0KCi5s
aXN0LS1jb2x1bW5zIHsKICBib3JkZXItYm90dG9tOiAxcHggc29saWQgI2NjYzsKICBwYWRkaW5n
LWJvdHRvbTogJGxpbmVIZWlnaHQgLSAxOwogIG1hcmdpbi1ib3R0b206IDFweDsKCiAgQGluY2x1
ZGUgbWVkaXVtIHsKICAgIGNvbHVtbi1jb3VudDogMjsKICAgIGNvbHVtbi1ydWxlOiAwIG5vbmUg
dHJhbnNwYXJlbnQ7CiAgICBjb2x1bW4tZ2FwOiAwOwogIH0KCiAgJiBsaSwKICAmIC5jb2x1bW5z
LWxpc3QtaXRlbSB7CiAgICBAaW5jbHVkZSB0eXBlLS1zbWFsbDsKICAgIHBhZGRpbmc6IDA7CiAg
fQoKICAmIGEgewogICAgZGlzcGxheTogIGJsb2NrOwogICAgcG9zaXRpb246IHJlbGF0aXZlOwog
ICAgcGFkZGluZy1sZWZ0OiAzOXB4OwoKICAgICY6OmJlZm9yZSB7CiAgICAgIGxpbmUtaGVpZ2h0
OiAyNnB4OwogICAgfQogIH0KCn0K""",
  "web/styles/components/_components/_grid.scss",
  "text",
  """LyoqCioKKiBHcmlkCioKKiovCgpAaW5jbHVkZSBtZWRpdW0tb25seSB7CiAgLy8gR2VuZXJhdGlu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""",
  "web/styles/components/_components/_guides-list.scss",
  "text",
  """LyoqCioKKiBHdWlkZXMgTGlzdAoqCioqLwoKLmd1aWRlcy1saXN0IHsKICBvdmVyZmxvdzogaGlk
ZGVuOwoKICBAaW5jbHVkZSBtZWRpdW0gewogICAgZGlzcGxheTogZmxleDsKICAgIGp1c3RpZnkt
Y29udGVudDogc3BhY2UtYmV0d2VlbjsKICAgIGZsZXgtd3JhcDogd3JhcDsKCiAgICBwYWRkaW5n
LXRvcDogJGxpbmVIZWlnaHQqMjsKICB9Cn0KCi5ndWlkZXMtbGlzdF9faXRlbSB7CiAgcGFkZGlu
ZzogMDsKICBiYWNrZ3JvdW5kOiAjZmZmZmZmOwogIG1hcmdpbi10b3A6ICRsaW5lSGVpZ2h0Owog
IG1hcmdpbi1ib3R0b206IDA7CgogIEBpbmNsdWRlIG1lZGl1bSB7CiAgICBkaXNwbGF5OiBmbGV4
OwogICAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjsKICAgIGZsZXgtd3JhcDogd3JhcDsKICB9Cgog
IGgzIHsKICAgIG1hcmdpbjogMCAzMnB4OwogIH0KCiAgcCB7CiAgICBtYXJnaW46ICRsaW5lSGVp
Z2h0IDMycHggMDsKICB9CgogIC5wcmltYXJ5LWNvbnRlbnQgewogICAgQGluY2x1ZGUgbWVkaXVt
IHsKICAgICAgZmxleDogMTsKICAgIH0KICB9CgogIC5zZWNvbmRhcnktY29udGVudCB7CiAgICBw
b3NpdGlvbjogcmVsYXRpdmU7CiAgICAvLyBiYWNrZ3JvdW5kOiAjZjVmNWY1OwogICAgbWFyZ2lu
LXRvcDogKCRsaW5lSGVpZ2h0KjIpIC0gMTsKICAgIGJvcmRlci10b3A6IDFweCBzb2xpZCAkY29s
b3JHcmF5S2V5bGluZTsKCiAgICBAaW5jbHVkZSBtZWRpdW0gewogICAgICB3aWR0aDogMTAwJTsg
Ly8gbmVlZGVkIGR1ZSB0byBwYXJlbnQgYmVpbmcgZmxleAogICAgfQoKICAgIC5pY29uLWNpcmNs
ZSB7CiAgICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTsKICAgICAgdG9wOiAtJGxpbmVIZWlnaHQgLSAy
OwogICAgICBsZWZ0OiA1MCU7CiAgICAgIG1hcmdpbi1sZWZ0OiAtMjFweDsKICAgICAgYm9yZGVy
OiAycHggc29saWQgI2ZmZmZmZjsKCiAgICAgICYgaSB7CiAgICAgICAgZm9udC1zaXplOiAyM3B4
OwogICAgICB9CiAgICB9CiAgfQoKICBvbCB7CiAgICBtYXJnaW46ICRsaW5lSGVpZ2h0IDAgMDsK
ICAgIHBhZGRpbmc6ICRsaW5lSGVpZ2h0KjIgMCAkbGluZUhlaWdodCoyOwogICAgbWFyZ2luLXRv
cDogMDsKICB9CgogICY6OmJlZm9yZSB7CiAgICBkaXNwbGF5OiBub25lOwogIH0KfQo=""",
  "web/styles/components/_components/_icon-circle.scss",
  "text",
  """LyoqCioKKiBJY29uIENpcmNsZQoqCioqLwoKLmljb24tY2lyY2xlLAouaWNvbi1jaXJjbGUtLWxh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""",
  "web/styles/components/_components/_icons.scss",
  "text",
  """QGZvbnQtZmFjZSB7CiAgZm9udC1mYW1pbHk6IGljb25zOwogIHNyYzogdXJsKC4uL2ltYWdlcy9p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""",
  "web/styles/components/_components/_link.scss",
  "text",
  """LyoqCioKKiBMaW5rCioKKiovCgphIHsKICBjb2xvcjogJGNvbG9yQmx1ZTsKfQoKYTpob3ZlciB7
CiAgdGV4dC1kZWNvcmF0aW9uOiBub25lOwp9CgouY3RhLS1wcmltYXJ5IHsKICBAaW5jbHVkZSBz
dHlsZS1jdGEoJGNvbG9yQmx1ZSwgJGljb24tY2hldnJvbi1yaWdodCk7Cn0KCi5jdGEtLXNlY29u
ZGFyeSB7CiAgQGluY2x1ZGUgc3R5bGUtY3RhKCRjb2xvckJsdWUpOwp9Cg==""",
  "web/styles/components/_components/_list.scss",
  "text",
  """LyoqCioKKiBMaXN0CioKKiovCgp1bCwKb2wgewogIGxpc3Qtc3R5bGU6IG5vbmU7CiAgbWFyZ2lu
OiAwOwoKICBAaW5jbHVkZSBzbWFsbC1vbmx5IHsKICAgIHBhZGRpbmctbGVmdDogMDsKICB9Cn0K
CnVsIGxpIHsKICBwb3NpdGlvbjogcmVsYXRpdmU7CiAgcGFkZGluZy1sZWZ0OiAxNnB4OwogIEBp
bmNsdWRlIGJ1bGxldC10eXBlKCIiLCBpY29uLWJ1bGxldCk7CgogICY6OmJlZm9yZSB7CiAgICBm
b250LXNpemU6IDRweDsKICB9Cn0KCm9sIHsKICBjb3VudGVyLXJlc2V0OiBsaXN0OwogID4gbGkg
ewogICAgQGluY2x1ZGUgbnVtYmVyZWQtbGlzdDsKICAgIHBvc2l0aW9uOiByZWxhdGl2ZTsKICAg
IHBhZGRpbmctbGVmdDogMzJweDsKCiAgICAvLyBUaGlzIHNlbGVjdGVkIGV2ZXJ5IGFkamFjZW50
IDxsaT4KICAgIC8vIGZyb20gdGhlIDEwdGggYW5kIG92ZXJyaWRlcyB0aGUKICAgIC8vIGNvbnRl
bnQgcHJvcGVydHkgb2YgZWFjaAogICAgJjpudGgtY2hpbGQoMTBuKSB+IGxpOjpiZWZvcmUsCiAg
ICAmOm50aC1jaGlsZCgxMG4pOjpiZWZvcmUgewogICAgICBjb250ZW50OiBjb3VudGVyKGxpc3Qp
OwogICAgfQoKICB9Cn0KCnVsIG9sLApvbCB1bCB7CiAgcGFkZGluZy10b3A6IDA7Cn0KCi8qPT09
PT09PT09PSAgTElTVCBMSU5LUyAgPT09PT09PT09PSovCgp1bC5saXN0LWxpbmtzIHsKICBsaTo6
YmVmb3JlIHsKICAgIGRpc3BsYXk6IG5vbmU7CiAgfQogIGEgewogICAgQGluY2x1ZGUgYnVsbGV0
LXR5cGUoIiIsIGljb24tYnVsbGV0KTsKCiAgICAmOjpiZWZvcmUgewogICAgICBmb250LXNpemU6
IDRweDsKICAgIH0KCiAgICBmb250LXdlaWdodDogNDAwOwogIH0KCiAgJi5saXN0LWxpbmtzLS1w
cmltYXJ5IHsKICAgIGEgewogICAgICBAaW5jbHVkZSBidWxsZXQtdHlwZSgiIiwgaWNvbi1jaGV2
cm9uLXJpZ2h0KTsKICAgICAgZm9udC13ZWlnaHQ6IDQwMDsKICAgICAgZm9udC1mYW1pbHk6ICRm
b250SGlnaGxpZ2h0OwogICAgICBsaW5lLWhlaWdodDogMTsgLy8gZml4ZXMgYmFzZWxpbmUgZ3Jp
ZCBhbGlnbm1lbnQKICAgICAgdGV4dC1kZWNvcmF0aW9uOiBub25lOwogICAgfQogIH0KfQoKb2wu
bGlzdC1saW5rcyB7CiAgbGkgewogICAgJjo6YmVmb3JlIHsKICAgICAgZGlzcGxheTogbm9uZTsK
ICAgIH0KCiAgICBhIHsKICAgICAgZGlzcGxheTogaW5saW5lLWJsb2NrOwogICAgICBAaW5jbHVk
ZSBudW1iZXJlZC1saXN0OwogICAgICBmb250LXdlaWdodDogMzAwOwogICAgfQoKICAgICY6bnRo
LWNoaWxkKDEwbikgfiBsaSBhOjpiZWZvcmUsCiAgICAmOm50aC1jaGlsZCgxMG4pIGE6OmJlZm9y
ZSB7CiAgICAgIGNvbnRlbnQ6IGNvdW50ZXIobGlzdCk7CiAgICB9CiAgfQoKICAmLmxpc3QtbGlu
a3MtLXNlY29uZGFyeSB7CiAgICBhOjpiZWZvcmUgewogICAgICBkaXNwbGF5OiBub25lOwogICAg
fQogIH0KfQoKLmxpc3QtbGlua3MtLXNlY29uZGFyeSB7CiAgQGluY2x1ZGUgdHlwZS0tYmFzZTsK
ICBwYWRkaW5nLWxlZnQ6IDA7CgogIGxpIHsKICAgIHBhZGRpbmctbGVmdDogMDsKICB9Cn0KCi8q
PT09PT09PT09PSAgQU5DSE9SIExJU1QgID09PT09PT09PT0qLwoKLmxpc3QtYW5jaG9yIHsKICBw
YWRkaW5nLWxlZnQ6IDA7CgogIGxpIHsKICAgIEBpbmNsdWRlIHR5cGUtLWJhc2U7CiAgICBwYWRk
aW5nLXRvcDogMDsKICAgIHBhZGRpbmctbGVmdDogMDsKCiAgICAmOjpiZWZvcmUgewogICAgICBk
aXNwbGF5OiBub25lCiAgICB9CgogIH0KCiAgYSB7CiAgICBAaW5jbHVkZSBidWxsZXQtdHlwZSgi
IiwgaWNvbi1idWxsZXQpOwogICAgbGluZS1oZWlnaHQ6IDE7IC8vIGZpeGVzIGJhc2VsaW5lIGdy
aWQgYWxpZ25tZW50CiAgICBkaXNwbGF5OiBpbmxpbmUtYmxvY2s7CiAgICBwYWRkaW5nLWxlZnQ6
IDE2cHg7CgogICAgJjo6YmVmb3JlIHsKICAgICAgZm9udC1zaXplOiA0cHg7CiAgICB9CiAgfQp9
CgovKj09PT09PT09PT0gIFNNQUxMIExJU1QgID09PT09PT09PT0qLwoKLmxpc3Qtc21hbGwgewoK
ICBsaSB7CiAgICBAaW5jbHVkZSBtZWRpdW0gewogICAgICBAaW5jbHVkZSB0eXBlLS1zbWFsbDsK
ICAgICAgcGFkZGluZy10b3A6IDA7CiAgICB9CiAgfQp9CgovKj09PT09PT09PT0gIENFTlRFUkVE
IExJU1QgID09PT09PT09PT0qLwoKLmxpc3QtY2VudGVyZWQgewogIHRleHQtYWxpZ246IGNlbnRl
cjsKICBwYWRkaW5nLWxlZnQ6IDA7Cn0KCi8qPT09PT09PT09PSAgRkVBVFVSRUQgTElTVCAgPT09
PT09PT09PSovCgouZmVhdHVyZWQtbGlzdCB7CiAgcGFkZGluZy10b3A6ICRsaW5lSGVpZ2h0ICog
MzsKICBwYWRkaW5nLWJvdHRvbTogJGxpbmVIZWlnaHQgKiAzOwp9CgouZmVhdHVyZWQtbGlzdF9f
aXRlbSB7CiAgYmFja2dyb3VuZDogI2ZmZmZmZjsKICBwYWRkaW5nLWxlZnQ6IDA7CiAgcGFkZGlu
Zy10b3A6ICRsaW5lSGVpZ2h0OwogIHBhZGRpbmctYm90dG9tOiAkbGluZUhlaWdodDsKCiAgQGlu
Y2x1ZGUgbWVkaXVtIHsKICAgIG1pbi1oZWlnaHQ6ICRsaW5lSGVpZ2h0ICogMTM7CiAgICBwYWRk
aW5nOiAkbGluZUhlaWdodCAqIDIgMzJweDsKICB9CgogIG1hcmdpbi10b3A6ICRsaW5lSGVpZ2h0
OwoKICAmOmZpcnN0LWNoaWxkIHsKICAgIG1hcmdpbi10b3A6IDA7CiAgfQoKICBwIHsKICAgIG1h
cmdpbi1ib3R0b206ICRsaW5lSGVpZ2h0OwogIH0KfQoKLmZlYXR1cmVkLWxpc3RfX2ltZy13cmFw
cGVyIHsKICBkaXNwbGF5OiBub25lOwogIHBvc2l0aW9uOiByZWxhdGl2ZTsKICBwYWRkaW5nLXRv
cDogJGxpbmVIZWlnaHQ7CiAgbWFyZ2luOiAwIC01JTsKCiAgQGluY2x1ZGUgbWVkaXVtIHsKICAg
IGRpc3BsYXk6IGJsb2NrOwogICAgcGFkZGluZy10b3A6IDA7CiAgICBtYXJnaW46IDA7CiAgfQp9
CgouZmVhdHVyZWQtbGlzdF9faW1nIHsKICBAaW5jbHVkZSBtZWRpdW0gewogICAgcGFkZGluZy10
b3A6IDYwLjglOwogICAgcGFkZGluZy1ib3R0b206IDA7CiAgICBoZWlnaHQ6IDA7CiAgICBvdmVy
ZmxvdzogaGlkZGVuOwogICAgcG9zaXRpb246IGFic29sdXRlOwogICAgd2lkdGg6IDEwMCU7Cgog
IH0KCiAgaW1nIHsKICAgIGRpc3BsYXk6IGJsb2NrOwogICAgbWFyZ2luOiAwIGF1dG87CiAgICBt
YXgtd2lkdGg6IDEwMCU7CgogICAgQGluY2x1ZGUgbWVkaXVtIHsKICAgICAgbWFyZ2luOiAwOwog
ICAgICBwb3NpdGlvbjogYWJzb2x1dGU7CiAgICAgIHRvcDogMDsKICAgICAgaGVpZ2h0OiAxMDAl
OwogICAgICB3aWR0aDogMTAwJTsKICAgICAgbGVmdDogMDsKICAgIH0KICB9Cn0KCi8qPT09PT09
PT09PSAgUkVMQVRFRCBHVUlERVMgTElTVCAgPT09PT09PT09PSovCi5yZWxhdGVkLWd1aWRlcy1s
aXN0IHsKICBmb250LWZhbWlseTogJGZvbnRIaWdobGlnaHQ7CiAgcGFkZGluZy10b3A6IDA7CiAg
cGFkZGluZy1sZWZ0OiAwOwoKICBAaW5jbHVkZSBtZWRpdW0gewogICAgcGFkZGluZy10b3A6ICRs
aW5lSGVpZ2h0CiAgfQoKICBAaW5jbHVkZSB3aWRlIHsKICAgIHBhZGRpbmctdG9wOiAwCiAgfQoK
ICBwIHsKICAgIHBhZGRpbmctdG9wOiAwOwogIH0KCiAgLnRhZyB7CiAgICBwYWRkaW5nLXRvcDog
MDsKICB9CgogIGxpIHsKICAgIHBhZGRpbmctdG9wOiAkbGluZUhlaWdodDsKICAgIHBhZGRpbmct
Ym90dG9tOiAkbGluZUhlaWdodCAtIDE7CiAgICBib3JkZXItYm90dG9tOiAxcHggc29saWQgJGNv
bG9yR3JheUtleWxpbmU7CgogICAgJjpsYXN0LWNoaWxkIHsKICAgICAgYm9yZGVyLWNvbG9yOiB0
cmFuc3BhcmVudDsKICAgIH0KCiAgICBAaW5jbHVkZSBtZWRpdW0gewogICAgICBwYWRkaW5nLXRv
cDogMDsKICAgICAgcGFkZGluZy1ib3R0b206IDA7CiAgICAgIGJvcmRlci1jb2xvcjogdHJhbnNw
YXJlbnQ7CiAgICB9CiAgfQp9CgovKj09PT09PT09PT0gIExJU1QgUkVTRVQgID09PT09PT09PT0q
LwoKLmxpc3QtLXJlc2V0IHsKICBwYWRkaW5nLWxlZnQ6IDA7CgogIGxpIHsKICAgIHBhZGRpbmct
bGVmdDogMDsKICB9CgogICYubGlzdC1saW5rcyBhOjpiZWZvcmUsCiAgJiBsaTo6YmVmb3JlIHsK
ICAgIGRpc3BsYXk6IG5vbmUgIWltcG9ydGFudDsgLy8gRmluZSB0byB1c2UgIWltcG9ydGFudCB3
aGVuIHdlIGFyZSBmb3JjaW5nIGFuIG92ZXJyaWRlCiAgfQp9CgovKj09PT09PT09PT0gIExFU1NP
TlMgID09PT09PT09PT0qLwoubGlzdC1sZXNzb25zIHsKICBwYWRkaW5nLWxlZnQ6IDA7CgogICYg
YSB7CiAgICBjb2xvcjogI2ZmZmZmZjsKICB9CgogICYgLmN1cnJlbnQgewogICAgJiwKICAgIGEg
ewogICAgICB0ZXh0LWRlY29yYXRpb246IG5vbmU7CiAgICAgIGN1cnNvcjogZGVmYXVsdDsKICAg
IH0KCiAgICAmIC5pY29uIHsKICAgICAgZm9udC1zaXplOiAkZm9udFNtYWxsOwogICAgICBkaXNw
bGF5OiBpbmxpbmUtYmxvY2s7CiAgICAgIGJhY2tncm91bmQ6IHJnYmEoIzAwMDAwMCwgLjIpOwog
ICAgICBib3JkZXItcmFkaXVzOiAxMDAlOwogICAgICB3aWR0aDogMjZweDsKICAgICAgbGluZS1o
ZWlnaHQ6IDI2cHg7CiAgICAgIHRleHQtYWxpZ246IGNlbnRlcjsKICAgICAgbWFyZ2luLWxlZnQ6
IDdweDsKICAgIH0KICB9Cgp9CgovKj09PT09PT09PT0gIEdVSURFUyBJTlRPIC0gdXNlZCBvbiBo
b21lcGFnZSAgPT09PT09PT09PSovCi5saXN0LWd1aWRlcy1pbnRybyB7CiAgbWFyZ2luLWJvdHRv
bTogJGxpbmVIZWlnaHQqMjsKCiAgQGluY2x1ZGUgc21hbGwtb25seSB7CiAgICBwYWRkaW5nLXRv
cDogJGxpbmVIZWlnaHQqMjsKICB9CgogIGxpIHsKICAgIGJvcmRlci1ib3R0b206IDFweCBzb2xp
ZCAkY29sb3JHcmF5S2V5bGluZTsKICAgIHBhZGRpbmctYm90dG9tOiAoJGxpbmVIZWlnaHQqMikg
LSAxOwogICAgbWFyZ2luLWJvdHRvbTogKCRsaW5lSGVpZ2h0KjIpOwoKICAgIEBpbmNsdWRlIG1l
ZGl1bSB7CiAgICAgIGJvcmRlci1jb2xvcjogdHJhbnNwYXJlbnQ7CiAgICAgIHBhZGRpbmctYm90
dG9tOiAwOwogICAgfQoKICAgICY6bGFzdC1jaGlsZCB7CiAgICAgIGJvcmRlci1ib3R0b206IHRy
YW5zcGFyZW50OwogICAgICBtYXJnaW4tYm90dG9tOiAwOwogICAgfQogIH0KfQo=""",
  "web/styles/components/_components/_media.scss",
  "text",
  """LyoqCioKKiBNZWRpYSAtIGltZ3MvdmlkZW9zCioKKiovCgppbWcsCnZpZGVvLApvYmplY3Qgewog
IG1heC13aWR0aDogMTAwJTsKfQoKaW1nIHsKCiAgLmNvbnRlbnQgJiB7CiAgICBtYXJnaW4tdG9w
OiAkbGluZUhlaWdodDsKICAgIG1hcmdpbi1ib3R0b206ICRsaW5lSGVpZ2h0OwogIH0KfQo=""",
  "web/styles/components/_components/_subsection-title.scss",
  "text",
  """LyoqCioKKiBzdWJzZWN0aW9uX190aXRsZQoqCioqLwoKLnN1YnNlY3Rpb24tdGl0bGUgewogIGNv
bG9yOiAkY29sb3JHcmF5RGFyazsKICBtYXJnaW4tdG9wOiAkbGluZUhlaWdodCAqIDI7Cn0KCi5z
dWJzZWN0aW9uLW51bWJlciB7CiAgQGluY2x1ZGUgdHlwZS0tYmFzZTsKICBwYWRkaW5nLXRvcDog
MDsKICBkaXNwbGF5OiBibG9jazsKfQo=""",
  "web/styles/components/_components/_table.scss",
  "text",
  """LyoqCioKKiBUYWJsZQoqCioqLwoKdGFibGUgewogIG1hcmdpbi10b3A6ICRsaW5lSGVpZ2h0Owog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""",
  "web/styles/components/_components/_typography.scss",
  "text",
  """LyoqCioKKiBUeXBvZ3JhcGh5CioKKiovCgovLyBKdXN0IG5vcm1hbGl6aW5nIHRleHQKLy8gUmVj
b21tZW5kIHVzaW5nIHBhZGRpbmcgaW5zdGVhZCBvZiBtYXJnaW4KaDEsIGgyLCBoMywgaDQsIGg1
LCBwIHsKICBtYXJnaW46IDA7Cn0KCi8vIERlZmluaXRpb25zCi5zbWFsbCwKc21hbGwgewogIEBp
bmNsdWRlIHR5cGUtLXNtYWxsOwp9CgouYmFzZSwKcCwKdWwsCm9sIHsKICBAaW5jbHVkZSB0eXBl
LS1iYXNlOwp9CgoubWVkaXVtLApoNCB7CiAgQGluY2x1ZGUgdHlwZS0tbWVkaXVtOwp9CgoubGFy
Z2UsCmgzIHsKICBAaW5jbHVkZSB0eXBlLS1sYXJnZTsKfQoueGxhcmdlLApoMiB7CiAgQGluY2x1
ZGUgdHlwZS0teGxhcmdlOwp9CgoueHhsYXJnZSwKaDEgewogIEBpbmNsdWRlIHR5cGUtLXh4bGFy
Z2U7Cn0KCi5odWdlIHsKICBAaW5jbHVkZSB0eXBlLS1odWdlOwp9CgpsaSA+IHAgewogIHBhZGRp
bmctdG9wOiAwOwp9Cg==""",
  "web/styles/components/_global.scss",
  "text",
  """LyoqCioKKiBHbG9iYWwKKgoqKi8KCiosCio6OmJlZm9yZSwKKjo6YWZ0ZXIgewogIGJveC1zaXpp
bmc6IGJvcmRlci1ib3g7Cn0KCmh0bWwsCmJvZHksCmJ1dHRvbiB7CiAgLW1vei1vc3gtZm9udC1z
bW9vdGhpbmc6IGFudGlhbGlhc2VkOwogIC13ZWJraXQtZm9udC1zbW9vdGhpbmc6IGFudGlhbGlh
c2VkOwogIGZvbnQtc21vb3RoaW5nOiBhbnRpYWxpYXNlZDsKfQoKYm9keSB7CiAgZm9udC1mYW1p
bHk6ICRmb250RGVmYXVsdDsKICBmb250LXNpemU6ICRmb250QmFzZTsKICBsaW5lLWhlaWdodDog
MS42MjUwZW07IC8qIDI2cHggKi8KICBmb250LXdlaWdodDogMzAwOyAvLyB0byB0aGlja2VuIGl0
IGEgYml0LCB3ZSBuZWVkIHRvIHJlbW92ZSBmb250LXNtb290aGluZwogIGNvbG9yOiAkY29sb3JU
ZXh0OwoKICBAaW5jbHVkZSBiYXNlbGluZS1ncmlkKCk7Cn0KCnByZSB7CiAgYmFja2dyb3VuZDog
JGNvbG9yR3JheUJhY2tncm91bmQ7CiAgcGFkZGluZzogMTNweDsKfQoKLm1haW4tY29udGFpbmVy
IHsKICBAaW5jbHVkZSBjb250YWluZXIodHJ1ZSk7Cn0KCi5jb250YWluZXIgewogIEBpbmNsdWRl
IGNvbnRhaW5lcih0cnVlKTsKfQoKLmNvbnRhaW5lci1tZWRpdW0gewogIEBpbmNsdWRlIG1lZGl1
bSB7CiAgICBAaW5jbHVkZSBjb250YWluZXIodHJ1ZSk7CiAgfQp9CgouY29udGFpbmVyLXNtYWxs
IHsKICBAaW5jbHVkZSBzbWFsbC1vbmx5IHsKICAgIEBpbmNsdWRlIGNvbnRhaW5lcih0cnVlKTsK
ICB9Cn0KCi5jb250ZW50IHsKICBAaW5jbHVkZSB3aWRlIHsKICAgIG1hcmdpbi1yaWdodDogMjUu
OSU7IC8vIHRvb2sgdGhpcyBmcm9tIHRoZSBncmlkIG91dHB1dCAtIHVzaW5nIEBleHRlbmQgaW5z
aWRlIG1lZGlhLXF1ZXJ5IGlzIGRlcHJlY2F0ZWQsIG5lZWQgdG8gZmlndXJlIG91dCBhIGJldHRl
ciB3YXkgdG8gZG8gdGhpcy4KCiAgICAmIHByZSB7CiAgICAgIG1hcmdpbi1yaWdodDogLTI1Ljkl
OwogICAgfQogIH0KfQo=""",
  "web/styles/components/_helper.scss",
  "text",
  """LyoqCioKKiBIZWxwZXIKKgoqKi8KCi5jbGVhciB7CiAgJjo6YmVmb3JlLAogICY6OmFmdGVyIHsK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""",
  "web/styles/components/_modules/_article-nav.scss",
  "text",
  """LyoqCioKKiBBcnRpY2xlIG5hdgoqCioqLwoKLmFydGljbGUtbmF2IHsKICBvdmVyZmxvdzogaGlk
ZGVuOwogIHBvc2l0aW9uOiByZWxhdGl2ZTsKCiAgJjo6YmVmb3JlIHsKICAgIGNvbnRlbnQ6ICcn
OwogICAgYm9yZGVyLWxlZnQ6IDJweCBzb2xpZCAkY29sb3JHcmF5S2V5bGluZTsKICAgIGhlaWdo
dDogMTAwJTsKICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTsKICAgIHRvcDogMDsKICAgIGxlZnQ6IDUw
JTsKICB9Cn0KCi5hcnRpY2xlLW5hdi1saW5rIHsKICBwYWRkaW5nOiAkbGluZUhlaWdodCAzMnB4
OwogIGZsb2F0OiBsZWZ0OwogIHdpZHRoOiA1MCU7CiAgcG9zaXRpb246IHJlbGF0aXZlOwoKICAm
OjpiZWZvcmV7CiAgICBwb3NpdGlvbjogYWJzb2x1dGU7CiAgICB0b3A6IDIxcHg7CiAgICBmb250
LWZhbWlseTogJGZvbnRIaWdobGlnaHQ7CiAgICBmb250LXNpemU6ICRmb250TWVkaXVtOwogICAg
Zm9udC13ZWlnaHQ6IDQwMDsKCiAgICBAaW5jbHVkZSBtZWRpdW0gewogICAgICB0b3A6IDI1cHg7
CiAgICAgIGZvbnQtc2l6ZTogJGZvbnRMYXJnZTsKICAgICAgZGlzcGxheTogYmxvY2s7CiAgICAg
IHBhZGRpbmc6IDEzcHggMTBweDsKICAgICAgY29sb3I6ICNmZmZmZmY7CiAgICAgIGJhY2tncm91
bmQ6ICRjb2xvckJsdWU7CiAgICB9CiAgfQp9CgouYXJ0aWNsZS1uYXYgcCB7CiAgcGFkZGluZzog
MDsKICBtYXJnaW46IDA7Cn0KCi5hcnRpY2xlLW5hdi1saW5rLS1wcmV2IHsKICB0ZXh0LWFsaWdu
OiByaWdodDsKICAvLyBib3JkZXItcmlnaHQtd2lkdGg6IDFweDsKCiAgJjo6YmVmb3JlIHsKICAg
IGZvbnQtZmFtaWx5OiAkZm9udEljb247CiAgICBAZXh0ZW5kIC5pY29uLWNoZXZyb24tbGVmdDo6
YmVmb3JlOwogICAgbGVmdDogMzJweDsKICB9CgogIHAgewogICAgQGluY2x1ZGUgbWVkaXVtIHsK
ICAgICAgcGFkZGluZy1sZWZ0OiA1MnB4OwogICAgfQogIH0KfQoKLmFydGljbGUtbmF2LWxpbmst
LW5leHQgewogIC8vIGJvcmRlci1sZWZ0LXdpZHRoOiAxcHg7CgogICY6OmJlZm9yZSB7CiAgICBm
b250LWZhbWlseTogJGZvbnRJY29uOwogICAgQGV4dGVuZCAuaWNvbi1jaGV2cm9uLXJpZ2h0Ojpi
ZWZvcmU7CiAgICByaWdodDogMzJweDsKICB9CgogIHAgewogICAgQGluY2x1ZGUgbWVkaXVtIHsK
ICAgICAgcGFkZGluZy1yaWdodDogNTJweDsKICAgIH0KICB9Cn0KCi5hcnRpY2xlLW5hdi1jb3Vu
dCB7CiAgQGluY2x1ZGUgdHlwZS0tbGFyZ2U7CiAgZm9udC13ZWlnaHQ6IDcwMDsKICBAaW5jbHVk
ZSBtZWRpdW0ge2ZvbnQtd2VpZ2h0OiA0MDA7fQp9Cg==""",
  "web/styles/components/_modules/_articles-section.scss",
  "text",
  """LyoqCioKKiBBcnRpY2xlcyBzZWN0aW9uCioKKiovCgouYXJ0aWNsZXMtc2VjdGlvbiB7CiAgYmFj
a2dyb3VuZDogJGNvbG9yR3JheUJhY2tncm91bmQ7CiAgdGV4dC1hbGlnbjogY2VudGVyOwogIHBh
ZGRpbmc6ICRsaW5lSGVpZ2h0IDAgJGxpbmVIZWlnaHQqNDsKfQoKLmFydGljbGVzLWNvdW50IHsK
ICBjb2xvcjogJGNvbG9yQmx1ZTsKICBmb250LWZhbWlseTogJGZvbnRIaWdobGlnaHQ7CiAgZm9u
dC13ZWlnaHQ6IDQwMDsKfQoKLmFydGljbGUtc2VjdGlvbl9faWNvbiB7CiAgdG9wOiAtKCRsaW5l
SGVpZ2h0KTsKCiAgQGluY2x1ZGUgbWVkaXVtIHsKICAgIHRvcDogLSgkbGluZUhlaWdodCArICRs
aW5lSGVpZ2h0LzIpOwogIH0KfQo=""",
  "web/styles/components/_modules/_did-you-know.scss",
  "text",
  """LyoqCioKKiBUZXh0IG1vZHVsZQoqCioqLwoKLmRpZC15b3Uta25vdyB7CgogIG9sIHsKICAgIEBp
bmNsdWRlIG1lZGl1bSB7CiAgICAgIHBhZGRpbmctdG9wOiAwICFpbXBvcnRhbnQ7CiAgICB9CiAg
fQoKICAuY3RhLS1wcmltYXJ5IHsKICAgIG1hcmdpbi10b3A6ICRsaW5lSGVpZ2h0OwogICAgZm9u
dC13ZWlnaHQ6IDUwMDsKICB9CgogICY+LmctLWhhbGYgewogICAgcG9zaXRpb246IHJlbGF0aXZl
OwogICAgcGFkZGluZy1sZWZ0OiAwOwogICAgQGluY2x1ZGUgbWVkaXVtIHtwYWRkaW5nLWxlZnQ6
IDMycHh9CiAgfQp9CgouZGlkLXlvdS1rbm93X19zeW1ib2wgewogIHBhZGRpbmctYm90dG9tOiAk
bGluZUhlaWdodCoxMjsKICBAaW5jbHVkZSBtZWRpdW0ge3BhZGRpbmctYm90dG9tOiAkbGluZUhl
aWdodH0KCiAgJjo6YWZ0ZXIgewogICAgY29udGVudDogJGljb24tcXVlc3Rpb247CiAgICBjb2xv
cjogJGNvbG9yQmx1ZTsKICAgIGZvbnQtZmFtaWx5OiAkZm9udEljb247CiAgICBmb250LXNpemU6
IDMwMHB4OwogICAgdG9wOiAxNTBweDsKICAgIGxlZnQ6IDMwJTsKICAgIHBvc2l0aW9uOiByZWxh
dGl2ZTsKICAgIGRpc3BsYXk6IGJsb2NrOwogICAgd2lkdGg6IDA7CgogICAgQGluY2x1ZGUgbWVk
aXVtIHsKICAgICAgcG9zaXRpb246IGFic29sdXRlOwogICAgICBmb250LXNpemU6IDQwMHB4Owog
ICAgICB0b3A6IDIwMHB4OwogICAgICBsZWZ0OiAxMTAlOwogICAgfQoKICAgIEBpbmNsdWRlIHdp
ZGUgewogICAgICBwb3NpdGlvbjogYWJzb2x1dGU7CiAgICAgIGZvbnQtc2l6ZTogNDAwcHg7CiAg
ICAgIHRvcDogMjAwcHg7CiAgICAgIGxlZnQ6IDEyNCU7CiAgICB9CiAgfQp9Cg==""",
  "web/styles/components/_modules/_editorial-header.scss",
  "text",
  """LyoqCioKKiBFZGl0b3JpYWwgSGVhZGVyCioKKiovCgouZWRpdG9yaWFsLWhlYWRlciB7CiAgb3Zl
cmZsb3c6IGhpZGRlbjsKCiAgLmJyZWFkY3J1bWJzIHsKICAgIGNvbG9yOiAkY29sb3JCbHVlOwoK
ICAgIGEgewogICAgICBjb2xvcjogJGNvbG9yQmx1ZTsKICAgIH0KICB9CgogIC5jb250YWluZXIg
ewoKICAgIEBpbmNsdWRlIG1lZGl1bSB7CiAgICAgIHBvc2l0aW9uOiByZWxhdGl2ZTsKCiAgICAg
IC8vIFBzZXVkbyBlbGVtZW50cyB0byBhZGQgdGhlIGJhY2tncm91bmQgY2hhcmFjdGVycwogICAg
ICAmOjpiZWZvcmUgewogICAgICAgIGNvbnRlbnQ6ICRpY29uLWNoZXZyb24tbGFyZ2U7CiAgICAg
ICAgZm9udC1mYW1pbHk6ICRmb250SWNvbjsKICAgICAgICBmb250LXNpemU6IDEwMDBweDsKICAg
ICAgICBsaW5lLWhlaWdodDogMDsKICAgICAgICBkaXNwbGF5OiBibG9jazsKICAgICAgICBwb3Np
dGlvbjogYWJzb2x1dGU7CiAgICAgICAgdG9wOiAwOwogICAgICAgIHJpZ2h0OiAxMDAlOwogICAg
ICAgIGNvbG9yOiAkY29sb3JHcmF5QmFja2dyb3VuZDsKICAgICAgICBtYXJnaW46IDE2OHB4IC0z
NXB4IDAgMDsKICAgICAgfQogICAgfQogIH0KCn0KCi5lZGl0b3JpYWwtaGVhZGVyX19leGNlcnB0
IHsKICBAaW5jbHVkZSB0eXBlLS1tZWRpdW0odHJ1ZSk7CiAgZm9udC1mYW1pbHk6ICRmb250SGln
aGxpZ2h0Owp9CgouZWRpdG9yaWFsLWhlYWRlciAudGFnewogIHBhZGRpbmctdG9wOiAkbGluZUhl
aWdodCoyOwp9CgouZWRpdG9yaWFsLWhlYWRlcl9fc3VidGl0bGUgewogIEBpbmNsdWRlIHR5cGUt
LXh4bGFyZ2U7CiAgcGFkZGluZy10b3A6IDA7CiAgQGluY2x1ZGUgbWVkaXVtIHsKICAgIHBhZGRp
bmctdG9wOiAwOwogICAgcGFkZGluZy1ib3R0b206ICRsaW5lSGVpZ2h0OwogIH0KICBjb2xvcjog
JGNvbG9yQmx1ZTsKfQoKLmVkaXRvcmlhbC1oZWFkZXJfX3RvYyB7CiAgbWFyZ2luLXRvcDogJGxp
bmVIZWlnaHQ7CgogIG9sIHsKICAgIHBhZGRpbmctdG9wOiAwOwoKICAgIEBpbmNsdWRlIG1lZGl1
bSB7CiAgICAgIHBhZGRpbmctdG9wOiAwOwogICAgfQogIH0KfQoKLmVkaXRvcmlhbC1oZWFkZXJf
X3RvYy10aXRsZSB7CiAgZm9udC1mYW1pbHk6ICRmb250SGlnaGxpZ2h0OwogIGJvcmRlci1ib3R0
b206IDFweCBzb2xpZCAkY29sb3JHcmF5S2V5bGluZTsKICBtYXJnaW4tYm90dG9tOiAxM3B4Owog
IHBhZGRpbmctYm90dG9tOiAxM3B4ICFpbXBvcnRhbnQ7CiAgY29sb3I6ICRjb2xvckJsdWU7Cn0K""",
  "web/styles/components/_modules/_featured-section.scss",
  "text",
  """LyoqCioKKiBFZGl0b3JpYWwgSGVhZGVyCioKKiovCgouZmVhdHVyZWQtc2VjdGlvbiB7CiAgYmFj
a2dyb3VuZDogJGNvbG9yR3JheUJhY2tncm91bmQ7Cn0K""",
  "web/styles/components/_modules/_featured-spotlight.scss",
  "text",
  """LyoqCioKKiBFZGl0b3JpYWwgSGVhZGVyCioKKiovCgouZmVhdHVyZWQtc3BvdGxpZ2h0IHsKICBi
YWNrZ3JvdW5kOiAkY29sb3JHcmF5RGFyazsKICBjb2xvcjogI2ZmZmZmZjsKICBvdmVyZmxvdzog
aGlkZGVuOwogIHBhZGRpbmctYm90dG9tOiAkbGluZUhlaWdodCAqIDMgLSAxOwogIG1hcmdpbi10
b3A6ICRsaW5lSGVpZ2h0ICogMjsKCiAgcCB7CiAgICBwYWRkaW5nLWJvdHRvbTogJGxpbmVIZWln
aHQ7CiAgfQoKICAuY3RhLS1wcmltYXJ5IHsKICAgIGNvbG9yOiAjZmZmZmZmOwoKICAgICY6aG92
ZXIgewogICAgICBjb2xvcjogI2ZmZmZmZjsKICAgIH0KICB9Cn0KCi5mZWF0dXJlZC1zcG90bGln
aHRfX2NvbnRhaW5lciB7CiAgcG9zaXRpb246IHJlbGF0aXZlOwp9CgouZmVhdHVyZWQtc3BvdGxp
Z2h0X19pbWcgewogIEBpbmNsdWRlIHNtYWxsLW9ubHkgewogICAgcGFkZGluZy10b3A6IDU4LjQl
OwogICAgcGFkZGluZy1ib3R0b206IDA7CiAgICBoZWlnaHQ6IDA7CiAgICBvdmVyZmxvdzogaGlk
ZGVuOwogICAgcG9zaXRpb246IHJlbGF0aXZlOwogICAgd2lkdGg6IDEwMCU7CiAgfQoKICBpbWcg
ewogICAgbWFyZ2luOiAwIGF1dG87CiAgICBkaXNwbGF5OiBibG9jazsKICAgIHdpZHRoOiAxMDAl
OwoKICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTsKICAgIGxlZnQ6IDA7CiAgICB0b3A6IDA7CiAgICBt
YXJnaW46IDA7CgogICAgQGluY2x1ZGUgbWVkaXVtIHsKICAgICAgd2lkdGg6IGF1dG87CiAgICAg
IG1heC13aWR0aDogbm9uZTsKICAgICAgbGVmdDogMTAwJSArICRtZWRpdW1HdXR0ZXJXaWR0aCAq
IDI7CiAgICB9CgogICAgQGluY2x1ZGUgd2lkZSB7CiAgICAgIGxlZnQ6IDEwMCUgKyAkd2lkZUd1
dHRlcldpZHRoICogMjsKICAgIH0KICB9Cn0K""",
  "web/styles/components/_modules/_guides-section.scss",
  "text",
  """Lmd1aWRlcy1zZWN0aW9uIHsKICBiYWNrZ3JvdW5kOiAkY29sb3JHcmF5QmFja2dyb3VuZDsKICB0
ZXh0LWFsaWduOiBjZW50ZXI7CiAgcGFkZGluZzogJGxpbmVIZWlnaHQgMCAkbGluZUhlaWdodCAq
IDQ7Cn0K""",
  "web/styles/components/_modules/_highlight.scss",
  "text",
  """LyoqCioKKiBIaWdobGlnaHQKKgoqKi8KCi5oaWdobGlnaHQtbW9kdWxlIHsKICBvdmVyZmxvdzog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""",
  "web/styles/components/_modules/_in-this-guide.scss",
  "text",
  """LyoqCioKKiBJbiB0aGlzIGd1aWRlCioKKiovCgouaW4tdGhpcy1ndWlkZSB7CiAgbWFyZ2luLXRv
cDogLSAkbGluZUhlaWdodCAqIDM7Cn0KCi5pbi10aGlzLWd1aWRlX190aXRsZSB7CiAgQGluY2x1
ZGUgdHlwZS0tbWVkaXVtKHRydWUpOwogIGZvbnQtZmFtaWx5OiAkZm9udEhpZ2hsaWdodDsKICBt
YXJnaW4tYm90dG9tOiAkbGluZUhlaWdodDsKfQo=""",
  "web/styles/components/_modules/_next-lessons.scss",
  "text",
  """LyoqCioKKiBOZXh0IExlc3NvbnMKKgoqKi8KCi5uZXh0LWxlc3NvbnMgewogIGJhY2tncm91bmQ6
ICRjb2xvckdyYXlEYXJrOwogIHBhZGRpbmc6ICRsaW5lSGVpZ2h0ICRsaW5lSGVpZ2h0ICRsaW5l
SGVpZ2h0ICogMjsKICBtYXJnaW4tdG9wOiAkbGluZUhlaWdodDsKICBjb2xvcjogI2ZmZmZmZjsK
ICBwb3NpdGlvbjogcmVsYXRpdmU7CgogIGgzIHsKICAgIGkgewogICAgICBAaW5jbHVkZSBtZWRp
dW0gewogICAgICAgIGRpc3BsYXk6IG5vbmU7CiAgICAgIH0KICAgIH0KICB9CgogICY6OmJlZm9y
ZSwKICAmOjphZnRlciB7CiAgICBjb2xvcjogcmdiYSgyNTUsIDI1NSwgMjU1LCAwLjUpOwogICAg
cG9zaXRpb246IGFic29sdXRlOwogICAgZGlzcGxheTogbm9uZTsKCiAgICBAaW5jbHVkZSBtZWRp
dW0gewogICAgICBkaXNwbGF5OiBpbmxpbmUtYmxvY2s7CiAgICB9CiAgfQoKICAmOjpiZWZvcmUg
ewogICAgQGluY2x1ZGUgbWVkaXVtIHsKICAgICAgY29udGVudDogYXR0cihkYXRhLWN1cnJlbnQt
bGVzc29uKTsKCiAgICAgIGZvbnQtZmFtaWx5OiAkZm9udEhpZ2hsaWdodDsKICAgICAgZm9udC1z
aXplOiAkZm9udEJhc2U7CiAgICAgIGZvbnQtd2VpZ2h0OiA0MDA7CiAgICAgIGxpbmUtaGVpZ2h0
OiAxOwoKICAgICAgYmFja2dyb3VuZDogJGNvbG9yR3JheURhcms7CiAgICAgIGRpc3BsYXk6IGlu
bGluZS1ibG9jazsKICAgICAgcGFkZGluZzogNXB4IDdweDsKCiAgICAgIHJpZ2h0OiAxMjdweDsK
ICAgICAgdG9wOiAxNDNweDsKCiAgICAgIHotaW5kZXg6IDE7CiAgICAgIGNvbG9yOiByZ2JhKDI1
NSwgMjU1LCAyNTUsIDAuNSk7CiAgICB9CgogICAgQGluY2x1ZGUgd2lkZSB7CiAgICAgIGZvbnQt
c2l6ZTogJGZvbnRNZWRpdW07CiAgICAgIHBhZGRpbmctbGVmdDogMTVweDsKICAgICAgcGFkZGlu
Zy1yaWdodDogMTVweDsKICAgICAgdG9wOiAxMjZweDsKICAgICAgcmlnaHQ6IDIzMHB4OwogICAg
fQoKICB9CgogICY6OmFmdGVyIHsKICAgIEBpbmNsdWRlIG1lZGl1bSB7CiAgICAgIGNvbnRlbnQ6
ICRpY29uLWxlc3NvbnM7CiAgICAgIGZvbnQtZmFtaWx5OiAkZm9udEljb247CiAgICAgIGZvbnQt
c2l6ZTogMTUwcHg7CgogICAgICByaWdodDogNDBweDsKICAgICAgdG9wOiAxODVweDsKICAgIH0K
CiAgICBAaW5jbHVkZSB3aWRlIHsKICAgICAgZm9udC1zaXplOiAyMTBweDsKICAgICAgcmlnaHQ6
IDEyMHB4OwogICAgfQoKICB9Cn0K""",
  "web/styles/components/_modules/_page-header.scss",
  "text",
  """LyoqCioKKiBQYWdlIGhlYWRlcgoqCioqLwoKLnBhZ2UtaGVhZGVyIHsKICB0ZXh0LWFsaWduOiBj
ZW50ZXI7CgogIC5icmVhZGNydW1icyB7CiAgICB0ZXh0LWFsaWduOiBsZWZ0OwogICAgY29sb3I6
ICRjb2xvckJsdWU7CgogICAgYSB7CiAgICAgIGNvbG9yOiAkY29sb3JCbHVlOwogICAgfQogIH0K
CiAgaDMgewogICAgY29sb3I6ICRjb2xvckdyYXlEYXJrOwogICAgcGFkZGluZy10b3A6ICRsaW5l
SGVpZ2h0ICogMjsKICB9Cn0KCi5wYWdlLWhlYWRlcl9fZXhjZXJwdCB7CiAgcG9zaXRpb246IHJl
bGF0aXZlOwogIHBhZGRpbmctdG9wOiAwOwoKICAmOmxhc3QtY2hpbGQgewogICAgcGFkZGluZy1i
b3R0b206ICRsaW5lSGVpZ2h0ICogMzsKICB9Cn0K""",
  "web/styles/components/_modules/_quote.scss",
  "text",
  """LyoqCioKKiBRdW90ZQoqCioqLwoKLnF1b3RlX19jb250ZW50IHsKICBwb3NpdGlvbjogcmVsYXRp
dmU7CiAgZm9udC1mYW1pbHk6ICRmb250SGlnaGxpZ2h0OwogIEBpbmNsdWRlIHR5cGUtLW1lZGl1
bTsKICBwYWRkaW5nLXRvcDogJGxpbmVIZWlnaHQgKiA0OwogIHBhZGRpbmctbGVmdDogJGxpbmVI
ZWlnaHQ7CgogIEBpbmNsdWRlIG1lZGl1bSB7CiAgICBwYWRkaW5nLXRvcDogJGxpbmVIZWlnaHQg
KiAyOwogICAgcGFkZGluZy1sZWZ0OiAwOwogIH0KCiAgcCB7CiAgICBib3JkZXItdG9wOiAxcHgg
c29saWQgJGNvbG9yR3JheUtleWxpbmU7CiAgICB0ZXh0LWFsaWduOiByaWdodDsKICAgIGZvbnQt
d2VpZ2h0OiA1MDA7CiAgICBtYXJnaW4tdG9wOiAkbGluZUhlaWdodC8yIC0gMTsKICAgIHBhZGRp
bmctdG9wOiAkbGluZUhlaWdodC8yOwogIH0KCiAgJjo6YmVmb3JlIHsKICAgIGNvbnRlbnQ6IG9w
ZW4tcXVvdGU7CiAgICBkaXNwbGF5OiBibG9jazsKICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTsKICAg
IGZvbnQtZmFtaWx5OiAkZm9udEhpZ2hsaWdodDsKICAgIGZvbnQtd2VpZ2h0OiA3MDA7CiAgICBj
b2xvcjogJGNvbG9yR3JheUJhY2tncm91bmQ7CiAgICB0b3A6IDkwcHg7CiAgICBsZWZ0OiAkbGlu
ZUhlaWdodDsKICAgIGZvbnQtc2l6ZTogMjYwcHg7CgogICAgQGluY2x1ZGUgbWVkaXVtIHsKICAg
ICAgdG9wOiAyMjVweDsKICAgICAgbGVmdDogLTIxMHB4OwogICAgICBmb250LXNpemU6IDU0MHB4
OwogICAgfQogIH0KfQo=""",
  "web/styles/components/_modules/_related-guides.scss",
  "text",
  """LyoqCioKKiBSZWxhdGVkIGl0ZW1zCioKKiovCgoucmVsYXRlZC1ndWlkZXMgewogIG1hcmdpbi10
b3A6ICRsaW5lSGVpZ2h0KjM7CiAgcGFkZGluZy1ib3R0b206ICgkbGluZUhlaWdodCoyKSAtIDI7
CiAgYm9yZGVyLXRvcDogMnB4IHNvbGlkICRjb2xvckdyYXlLZXlsaW5lOwogIHBhZGRpbmctdG9w
OiAoJGxpbmVIZWlnaHQqMikgLSAyOwp9CgoucmVsYXRlZC1ndWlkZXNfX2xpc3QgewogIC5saXN0
LWxpbmtzIHsKICAgIHBhZGRpbmctdG9wOiAwOwogIH0KCiAgYSB7CiAgICBkaXNwbGF5OiBibG9j
azsKICB9Cn0KCi5yZWxhdGVkLWd1aWRlc19fdGl0bGUgewogIEBpbmNsdWRlIHR5cGUtLXhsYXJn
ZTsKICBwYWRkaW5nLXRvcDogMDsKCiAgQGluY2x1ZGUgbWVkaXVtIHsKICAgIHBhZGRpbmctdG9w
OiAwOwogIH0KfQoKLnJlbGF0ZWQtZ3VpZGVzX19tYWluLWxpbmsgewogIHRleHQtdHJhbnNmb3Jt
OiB1cHBlcmNhc2U7CgogICY6OmJlZm9yZSB7CiAgICBjb250ZW50OiAnIyc7CiAgICBkaXNwbGF5
OiBpbmxpbmUtYmxvY2s7CiAgICBwYWRkaW5nLXJpZ2h0OiAycHg7CiAgfQp9Cg==""",
  "web/styles/components/_modules/_related-items.scss",
  "text",
  """LyoqCioKKiBSZWxhdGVkIGl0ZW1zCioKKiovCgoucmVsYXRlZC1pdGVtcyB7CiAgYmFja2dyb3Vu
ZC1jb2xvcjogJGNvbG9yR3JheURhcms7CiAgY29sb3I6ICNmZmZmZmY7CiAgcGFkZGluZy1ib3R0
b206ICRsaW5lSGVpZ2h0ICogMjsKICBtYXJnaW4tdG9wOiAkbGluZUhlaWdodCAqIDI7CgogIC5s
aXN0LWxpbmtzIHsKICAgIGEgewogICAgICBjb2xvcjogI2ZmZmZmZjsKICAgIH0KICB9Cgp9Cg==""",
  "web/styles/components/_modules/_summary-header.scss",
  "text",
  """LyoqCioKKiBFZGl0b3JpYWwgSGVhZGVyCioKKiovCgouc3VtbWFyeS1oZWFkZXIgewogIGJhY2tn
cm91bmQtY29sb3I6ICRjb2xvckJsdWU7CiAgcGFkZGluZy1ib3R0b206ICRsaW5lSGVpZ2h0ICog
MzsKICBjb2xvcjogI2ZmZmZmZjsKICBtYXJnaW4tYm90dG9tOiAkbGluZUhlaWdodDsKICBib3gt
c2hhZG93OiBpbnNldCAwIDJweCAwIDAgI2ZmZjsKCiAgLmJyZWFkY3J1bWJzX19saW5rIHsKICAg
IGNvbG9yOiAjZmZmZmZmOwogIH0KCn0KCi5zdW1tYXJ5LWhlYWRlcl9fYW5jaG9yLWxpc3Qgewog
IG1hcmdpbi10b3A6ICRsaW5lSGVpZ2h0ICogMjsKfQoKLnN1bW1hcnktaGVhZGVyX19hbmNob3Jz
LWl0ZW0gewogICYgYSB7CiAgICBjb2xvcjogI2ZmZmZmZjsKICB9Cn0K""",
  "web/styles/components/_modules/_toc.scss",
  "text",
  """LyoqCioKKiBUYWJsZSBvZiBjb250ZW50cwoqCioqLwoKLnRvY19fdGl0bGUgewogIEBpbmNsdWRl
IHR5cGUtLW1lZGl1bTsKICBmb250LWZhbWlseTogJGZvbnRIaWdobGlnaHQ7CiAgcGFkZGluZy1i
b3R0b206ICRsaW5lSGVpZ2h0LzI7CiAgbWFyZ2luLWJvdHRvbTogKCRsaW5lSGVpZ2h0LzIpIC0g
MTsKICBib3JkZXItYm90dG9tOiAxcHggc29saWQgJGNvbG9yR3JheUtleWxpbmU7CgogIEBpbmNs
dWRlIG1lZGl1bSB7CiAgICBwYWRkaW5nLWJvdHRvbTogJGxpbmVIZWlnaHQvMjsKICAgIG1hcmdp
bi1ib3R0b206ICRsaW5lSGVpZ2h0LzI7CiAgfQp9CgoudG9jX19saXN0IHsKICBwYWRkaW5nLXRv
cDogMDsKCiAgYm9yZGVyLWJvdHRvbTogMXB4IHNvbGlkICRjb2xvckdyYXlLZXlsaW5lOwogIHBh
ZGRpbmctYm90dG9tOiAoJGxpbmVIZWlnaHQvMikgLSAxOwogIG1hcmdpbi1ib3R0b206ICRsaW5l
SGVpZ2h0LzI7CgogIGEgewogICAgZGlzcGxheTogYmxvY2s7CiAgfQp9CgoudG9jX19zdWJsaXN0
IHsKICBwYWRkaW5nLXRvcDogMDsKfQo=""",
  "web/styles/components/_normalize.scss",
  "text",
  """LyohIG5vcm1hbGl6ZS5jc3MgdjMuMC4xIHwgTUlUIExpY2Vuc2UgfCBnaXQuaW8vbm9ybWFsaXpl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""",
  "web/styles/components/_pages/_page-resources.scss",
  "text",
  """LyoqCioKKiBSZXNvdXJjZXMgcGFnZQoqCioqLwoKLnBhZ2UtLXJlc291cmNlcyB7CiAgJiAuYXJ0
aWNsZS1zZWN0aW9uX19pY29uLAogICYgLmFydGljbGVzLWNvdW50LAogICYgLmd1aWRlcy1saXN0
X19pdGVtIC5zZWNvbmRhcnktY29udGVudCB7CiAgICBkaXNwbGF5OiBub25lOwogIH0KCiAgJiAu
cHJpbWFyeS1jb250ZW50IHsKICAgIHBhZGRpbmctdG9wOiAkbGluZUhlaWdodDsKICAgIHBhZGRp
bmctYm90dG9tOiAkbGluZUhlaWdodCoyOwoKICAgIHAgewogICAgICBtYXJnaW4tdG9wOiAwOwog
ICAgfQogIH0KCn0K""",
  "web/styles/components/_pages/_styleguide.scss",
  "text",
  """LyoqCioKKiBTdHlsZWd1aWRlCioKKiovCgoucGFnZS0tc3R5bGVndWlkZSB7CgogIC5zdHlsZWd1
aWRlX19tb2R1bGUtdGl0bGUgewogICAgbWFyZ2luLWJvdHRvbTogJGxpbmVIZWlnaHQ7CiAgfQoK
ICBzZWN0aW9uIHsKICAgIG1hcmdpbi1ib3R0b206ICRsaW5lSGVpZ2h0KjI7CiAgICBib3JkZXIt
Ym90dG9tOiAxcHggc29saWQgI2NjYzsKICAgIHBhZGRpbmctYm90dG9tOiAkbGluZUhlaWdodCoz
IC0gMTsKCiAgfQoKICAuc3R5bGVndWlkZV9fY29sb3ItbGlzdCB7CiAgICB0ZXh0LWFsaWduOiBj
ZW50ZXI7CgogICAgbGkgewogICAgICBib3JkZXItYm90dG9tOiAkbGluZUhlaWdodCoyIHNvbGlk
OwogICAgICBtYXJnaW4tYm90dG9tOiAkbGluZUhlaWdodDsKICAgICAgcG9zaXRpb246IHJlbGF0
aXZlOwogICAgfQogIH0KCiAgLnN0eWxlZ3VpZGVfX2JyZWFkY3J1bWIgLmJyZWFkY3J1bWJzIHsK
ICAgIGRpc3BsYXk6IGJsb2NrOwogIH0KCiAgLnN0eWxlZ3VpZGVfX2xpc3RzIHsKICAgIHVsLAog
ICAgb2wgewogICAgICBtYXJnaW4tYm90dG9tOiAkbGluZUhlaWdodDsKICAgIH0KICB9CgogIC5z
dHlsZWd1aWRlX19pbnZlcnRlZC1ibG9jayB7CiAgICBiYWNrZ3JvdW5kOiAjZThlOGU4OwogICAg
cGFkZGluZzogMCAxM3B4OwogIH0KCiAgLnN0eWxlZ3VpZGVfX3RoZW1lLWJsb2NrIHsKICAgIGJh
Y2tncm91bmQ6ICRjb2xvckxheW91dHM7CiAgICBwYWRkaW5nOiAwIDEzcHg7CiAgfQoKfQoKLmRl
bW8gewogIG1hcmdpbi1ib3R0b206ICRsaW5lSGVpZ2h0OwogIG1hcmdpbi10b3A6ICRsaW5lSGVp
Z2h0Owp9CgouZGVtbyB7CiAgW2NsYXNzKj0iZy0iXSB7CiAgICBiYWNrZ3JvdW5kLWNvbG9yOiAk
Y29sb3JHcmF5TGlnaHQ7CiAgICBwb3NpdGlvbjogcmVsYXRpdmU7CiAgICBtYXJnaW4tYm90dG9t
OiAkbGluZUhlaWdodDsKICAgIG1pbi1oZWlnaHQ6ICRsaW5lSGVpZ2h0KjY7CgogICAgJjo6YmVm
b3JlLAogICAgJjo6YWZ0ZXIgewogICAgICBAaW5jbHVkZSB0eXBlLS1zbWFsbDsKICAgICAgZGlz
cGxheTogYmxvY2s7CiAgICAgIG1hcmdpbjogMCAxMHB4OwogICAgfQoKICAgICY6OmJlZm9yZSB7
CiAgICAgIGNvbnRlbnQ6ICdIVE1MIGNsYXNzZXM6ICc7CiAgICAgIGZvbnQtd2VpZ2h0OiA3MDA7
CiAgICB9CgogICAgJjo6YWZ0ZXIgewogICAgICBjb250ZW50OiBhdHRyKGNsYXNzKTsKICAgICAg
d29yZC1zcGFjaW5nOiAxNXB4OwogICAgfQogIH0KfQo=""",
  "web/styles/components/_palette.scss",
  "text",
  """LyoqCioKKiBNYXRlcmlhbCBkZXNpZ24gY29sb3IgcGFsZXR0ZXMuCiogQHNlZSBodHRwOi8vd3d3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""",
  "web/styles/components/_themed.scss",
  "text",
  """LyoqCioKKiBUaGVtZWQgc3R5bGVzCioKKiovCgoudGhlbWVkIHsKCiAgLnRoZW1lLS1tdWx0aS1k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""",
  "web/styles/components/_utils.scss",
  "text",
  """LyoqCioKKiBVdGlscwoqCioqLwoKLyo9PT09PT09PT09ICBWQVJJQUJMRVMgID09PT09PT09PT0q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""",
  "web/styles/components/components.scss",
  "text",
  """LyoqCioKKiBNYWluIFN0eWxlc2hlZXQgRm9yIFZpc3VhbCBTdHlsZSBHdWlkZQoqCioqLwoKQGlt
cG9ydCAnX3V0aWxzJzsKQGltcG9ydCAnX25vcm1hbGl6ZSc7CkBpbXBvcnQgJ19nbG9iYWwnOwoK
Ly8gSWNvbnMgLSBMZWF2ZSBpdCBoZXJlIHRvIG90aGVyZmlsZXMgY2FuIGV4dGVuZCBpZiBuZWVk
ZWQKQGltcG9ydCAnX2NvbXBvbmVudHMvX2ljb25zJzsKCi8vIENvbG9yIFBhbGV0dGUKQGltcG9y
dCAnX3BhbGV0dGUnOwoKLy8gTW9kdWxlcwpAaW1wb3J0ICdfbW9kdWxlcy9faGlnaGxpZ2h0JzsK
QGltcG9ydCAnX21vZHVsZXMvX2VkaXRvcmlhbC1oZWFkZXInOwpAaW1wb3J0ICdfbW9kdWxlcy9f
c3VtbWFyeS1oZWFkZXInOwpAaW1wb3J0ICdfbW9kdWxlcy9fcmVsYXRlZC1ndWlkZXMnOwpAaW1w
b3J0ICdfbW9kdWxlcy9faW4tdGhpcy1ndWlkZSc7CkBpbXBvcnQgJ19tb2R1bGVzL19hcnRpY2xl
cy1zZWN0aW9uJzsKQGltcG9ydCAnX21vZHVsZXMvX2d1aWRlcy1zZWN0aW9uJzsKQGltcG9ydCAn
X21vZHVsZXMvX3BhZ2UtaGVhZGVyJzsKQGltcG9ydCAnX21vZHVsZXMvX2ZlYXR1cmVkLXNlY3Rp
b24nOwpAaW1wb3J0ICdfbW9kdWxlcy9fZmVhdHVyZWQtc3BvdGxpZ2h0JzsKQGltcG9ydCAnX21v
ZHVsZXMvX3F1b3RlJzsKQGltcG9ydCAnX21vZHVsZXMvX2FydGljbGUtbmF2JzsKQGltcG9ydCAn
X21vZHVsZXMvX2RpZC15b3Uta25vdyc7CkBpbXBvcnQgJ19tb2R1bGVzL190b2MnOwpAaW1wb3J0
ICdfbW9kdWxlcy9fbmV4dC1sZXNzb25zJzsKCi8vIENvbXBvbmVudHMKQGltcG9ydCAnX2NvbXBv
bmVudHMvX2dyaWQnOwpAaW1wb3J0ICdfY29tcG9uZW50cy9fdHlwb2dyYXBoeSc7CkBpbXBvcnQg
J19jb21wb25lbnRzL19idXR0b24nOwpAaW1wb3J0ICdfY29tcG9uZW50cy9fbGlzdCc7CkBpbXBv
cnQgJ19jb21wb25lbnRzL19saW5rJzsKQGltcG9ydCAnX2NvbXBvbmVudHMvX3RhYmxlJzsKQGlt
cG9ydCAnX2NvbXBvbmVudHMvX21lZGlhJzsKQGltcG9ydCAnX2NvbXBvbmVudHMvX2JyZWFkY3J1
bWInOwpAaW1wb3J0ICdfY29tcG9uZW50cy9fc3Vic2VjdGlvbi10aXRsZSc7CkBpbXBvcnQgJ19j
b21wb25lbnRzL19hcnRpY2xlcy1saXN0JzsKQGltcG9ydCAnX2NvbXBvbmVudHMvX2d1aWRlcy1s
aXN0JzsKQGltcG9ydCAnX2NvbXBvbmVudHMvX2ljb24tY2lyY2xlJzsKCi8vIFRoZW1lZCBzdHls
ZXMKQGltcG9ydCAnX3RoZW1lZCc7CgovLyBQYWdlcwpAaW1wb3J0ICdfcGFnZXMvX3N0eWxlZ3Vp
ZGUnOwpAaW1wb3J0ICdfcGFnZXMvX3BhZ2UtcmVzb3VyY2VzJzsKCi8vIE1ha2Ugc3VyZSB0aGlz
IGlzIGxhc3QgdG8gb3ZlcnJpZGUgYW55dGhpbmcgZWxzZSA6KQpAaW1wb3J0ICdfaGVscGVyJzsK""",
  "web/styles/main.scss",
  "text",
  """LyogQ29weXJpZ2h0IChjKSB7e3llYXJ9fSwge3thdXRob3J9fS4gQWxsIHJpZ2h0cyByZXNlcnZl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""",
  "web/styles/main_gen.css",
  "text",
  """77u/QGltcG9ydCB1cmwoaHR0cHM6Ly9mb250cy5nb29nbGVhcGlzLmNvbS9jc3M/ZmFtaWx5PVJv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"""
];
